Currently, typing `git pull' without a third argument will result in an
error message.  Make it default to orgin, which is what the user
typically means.

Signed-off-by: Amos Waterland <[EMAIL PROTECTED]>

---

 git-pull-script |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

de9b7753b008a1dc1bdd46f87c76ee3cd9a81d19
diff --git a/git-pull-script b/git-pull-script
--- a/git-pull-script
+++ b/git-pull-script
@@ -1,10 +1,17 @@
 #!/bin/sh
 #
 . git-sh-setup-script || die "Not a git archive"
-. git-parse-remote "$@"
+
+if [ $# -eq 0 ]; then
+    remote="origin"
+else
+    remote="$@"
+fi
+
+. git-parse-remote "$remote"
 merge_name="$_remote_name"
 
-git-fetch-script "$@" || exit 1
+git-fetch-script "$remote" || exit 1
 
 git-resolve-script \
        "$(cat "$GIT_DIR"/HEAD)" \
-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to [EMAIL PROTECTED]
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Reply via email to